Bug 975743 - SELinux is preventing /usr/bin/Xephyr from write, search access on the directory xkb.
Summary: SELinux is preventing /usr/bin/Xephyr from write, search access on the direct...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a2f9a11716910b5f11e2aa14089...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-19 09:10 UTC by Artur Szymczak
Modified: 2013-06-23 06:27 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.12.1-54.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-23 06:27:38 UTC
Type: ---


Attachments (Terms of Use)

Description Artur Szymczak 2013-06-19 09:10:14 UTC
Description of problem:
I installed F19-TC5 with cinamon desktop. Then I updated whole system to latest version of software.  Aftrer restart system, I installed sandbox package and run:
# sandbox -X firefox
SELinux is preventing /usr/bin/Xephyr from write, search access on the directory xkb.

*****  Plugin catchall (100. confidence) suggests  ***************************

If aby Xephyr powinno mieć domyślnie write search dostęp do xkb directory.
Then proszę to zgłosić jako błąd.
Można utworzyć lokalny moduł polityki, aby umożliwić ten dostęp.
Do
można tymczasowo zezwolić na ten dostęp wykonując polecenia:
# grep Xephyr /var/log/audit/audit.log | audit2allow -M mojapolityka
# semodule -i mojapolityka.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:sandbox_xserver_t:s0:c43
                              4,c772
Target Context                system_u:object_r:xkb_var_lib_t:s0
Target Objects                xkb [ dir ]
Source                        Xephyr
Source Path                   /usr/bin/Xephyr
Port                          <Nieznane>
Host                          (removed)
Source RPM Packages           xorg-x11-server-Xephyr-1.14.1-4.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-52.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.6-301.fc19.x86_64 #1 SMP Mon
                              Jun 17 14:26:26 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-06-19 13:07:37 CEST
Last Seen                     2013-06-19 13:07:37 CEST
Local ID                      0dae17e1-b345-496b-9755-f3521432964d

Raw Audit Messages
type=AVC msg=audit(1371640057.812:499): avc:  denied  { write search } for  pid=2391 comm="Xephyr" name="xkb" dev="dm-0" ino=786578 scontext=unconfined_u:unconfined_r:sandbox_xserver_t:s0:c434,c772 tcontext=system_u:object_r:xkb_var_lib_t:s0 tclass=dir


type=SYSCALL msg=audit(1371640057.812:499): arch=x86_64 syscall=access success=no exit=EACCES a0=59df00 a1=3 a2=7f929cc9f7d8 a3=8 items=0 ppid=2382 pid=2391 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=1 tty=(none) comm=Xephyr exe=/usr/bin/Xephyr subj=unconfined_u:unconfined_r:sandbox_xserver_t:s0:c434,c772 key=(null)

Hash: Xephyr,sandbox_xserver_t,xkb_var_lib_t,dir,write,search

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.6-301.fc19.x86_64
type:           libreport

Comment 1 Daniel Walsh 2013-06-19 20:18:48 UTC
Did everything seem to work fine?

Comment 2 Daniel Walsh 2013-06-19 20:22:38 UTC
81f3530285a20a1a6f12b1f4073758a35c7db199 and
a83173f20b1d66eda70ac0498366fb7114cacf53 

fixes this in git.

Comment 3 Fedora Update System 2013-06-19 21:32:11 UTC
selinux-policy-3.12.1-54.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-54.fc19

Comment 4 Artur Szymczak 2013-06-20 06:37:53 UTC
I think it works fine. I don't see any problems.

Comment 5 Fedora Update System 2013-06-20 18:02:24 UTC
Package selinux-policy-3.12.1-54.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-54.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11355/selinux-policy-3.12.1-54.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-06-23 06:27:38 UTC
selinux-policy-3.12.1-54.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.